package com.prowidesoftware.brilliance.mx2mt.mt103.impl;

import com.prowidesoftware.brilliance.constants.Mx2MtConstants;
import com.prowidesoftware.brilliance.exception.SwiftException;
import com.prowidesoftware.brilliance.mx2mt.AbstractMx2MtFieldsGenerate;
import org.dom4j.Document;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * <GrpHdr><MsgId>
 */
public class Field20Generate extends AbstractMx2MtFieldsGenerate {
    private static final Logger logger = LoggerFactory.getLogger(Field20Generate.class);
    
    @Override
    public void fieldsGenerate() throws SwiftException {
        try {
            Document document = (Document)map.get(Mx2MtConstants.MX_XML_DOCUMENT);
            String msgId = getXmlNodeValue(Mx2MtConstants.GRPHDR_PARENT_ELEMENT_NAME, document, "GrpHdr.MsgId");
            map.put("field20", msgId);
        }  catch(Exception e) {
            throw new SwiftException("ERROR", e.getMessage());
        }
    }
}
